[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: fglrx and linux-image-2.6.15-1-amd64-k8

Marcin D?bicki wrote:

> Did anyone installed successfully 8.21.7 driver for ATI on 2.6.15 kernel?
> I am using kernel image from repo (linux-image-2.6.15-1-amd64-k8).
> Compilation goes ok, ko module is generated. Many warnings obviously are
> whown but module is generated. While trying to modprobe it seems that
> module cannot be inserted because of some reason.
> I've tried compilation woth and without patch from this site:
> http://www.thinkwiki.org/wiki/Problems_with_fglrx#fglrx_8.21.7
I'm running Sid 2.6.15-amd64 with an ATI Radeon 9550 card. I've had some
help from the fglrx list and have managed to get the 8.21.7 driver working.
Everything is Ok: 3D acceleration etc. xv video. The only problem I have is
that the system freezes every time I shut down the X server. FWIW, here's
the advice I received from Flavio. Maybe you won't have the freezup problem
on your systems.
The fglrx driver for X.Org 6.9 is not available in RPM format, so you're
out of luck with my packages. The ATI installer, however, *does* contain
binaries for 6.9 and you can build packages with it:

Besides, if you want to use it with 2.6.15 you'll need this patch:

Good luck,

Reply to: